package com.ycgis.macall.personalcenter.p.rxjava;

import org.jetbrains.annotations.NotNull;

import io.reactivex.ObservableEmitter;
import io.reactivex.ObservableOnSubscribe;

/**
 * created by:   Macall
 * create time:  2023/11/17 17:17
 * copyright:    @ruansee.com
 * Describe:
 */
public abstract class UpdateUiOnSubscribe<E,T> implements ObservableOnSubscribe<T> {

    public E object;

    public UpdateUiOnSubscribe(E object) {
        this.object = object;
    }

    public UpdateUiOnSubscribe() {
    }



    public abstract void subscribe(E date, @NotNull ObservableEmitter<T> emitter);

    @Override
    public void subscribe(@NotNull ObservableEmitter<T> emitter) throws Exception {
        subscribe(object,emitter);
    }
}
